Subject: Suggested grep-files-aliases entry for GNU build systems

From: Reuben Thomas <[email-masked]>
Date: Sun, 2 Mar 2014 09:05:23 +0000

At present, grep-files-aliases suggests "[Mm]akefile*" when you start rgrep
in a Makefile.am, which is not at all what one usually wants, as it greps
through long generated files.

I suggest the following pattern, to go just before the Makefile entry:

 ("am" . "Makefile.am GNUmakefile *.mk")

Makefile.am catches automake makefiles, GNUmakefile is often also used for
GNU-specific hackery (e.g. by gnulib), and *.mk catches other GNU-ery such
as gnulib's cfg.mk.

Placing the pattern before the Makefile entry means that the latter need
not be changed, but the new pattern is used for Makefile.am.

The alias "am" is supposed to suggest "automake".

-- 
http://rrt.sc3d.org